- Qt 6.10
- Qt GUI
- C++ Classes
- QX11Application
- Qt 6.10.2 Reference Documentation

# QNativeInterface::QX11Application Struct

Native interface to an X11 application. More...

Header: | `#include <QGuiApplication>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`
Since: | Qt 6.2

- List of all members, including inherited members

## Public Functions

int * | connection() const
int * | display() const

## Detailed Description

Accessed through QGuiApplication::nativeInterface().

## Member Function Documentation

### int *QX11Application::connection() const

Returns the X connection of the application, for use with XCB.

See also display().

### int *QX11Application::display() const

Returns the X display of the application, for use with Xlib.

See also connection().